org.apache.tiles.core.definition.pattern

## Interface PatternDefinitionResolver<T>

- Type Parameters:
    `T` - The type of the customization key.
  All Known Implementing Classes:
    AbstractPatternDefinitionResolver, BasicPatternDefinitionResolver, PrefixedPatternDefinitionResolver

      public interface PatternDefinitionResolver<T>

  Resolves a definition starting from patterns stored in definition maps.
  Since:
    2.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearPatternPaths(T customizationKey)` Used to clear all entries in the localePatternPaths for a specific locale.
    `Definition` | `resolveDefinition(String name, T customizationKey)` Resolves a definition searching in all patterns for the requested customization key.
    `Map<String,Definition>` | `storeDefinitionPatterns(Map<String,Definition> localeDefsMap, T customizationKey)` Stores definition patterns.

- - ### Method Detail

    - #### storeDefinitionPatterns

          Map<String,Definition> storeDefinitionPatterns(Map<String,Definition> localeDefsMap,
                                                         T customizationKey)

      Stores definition patterns.
      Parameters:
        `localeDefsMap` - The map of definitions that may contain also patterns.
        `customizationKey` - The customization key.
      Returns:
        The map of the definitions not recognized as containing definition patterns.
      Since:
        2.2.1

    - #### resolveDefinition

          Definition resolveDefinition(String name,
                                       T customizationKey)

      Resolves a definition searching in all patterns for the requested customization key.
      Parameters:
        `name` - The name of the definition.
        `customizationKey` - The customization key.
      Returns:
        The resolved definition.
      Since:
        2.2.0

    - #### clearPatternPaths

          void clearPatternPaths(T customizationKey)

      Used to clear all entries in the localePatternPaths for a specific locale. Necessary when reloading definition files to ensure that the list is cleared first
      Parameters:
        `customizationKey` - customization key

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.